import React, { useState } from "react";
import {
  Form,
  Input,
  Modal,
  Select,
  InputNumber,
  Row,
  Title,
  Col,
  Option,
} from "antd";
import { useStore } from "../../utils/useStore";
import { observer } from "mobx-react-lite";

export const FilterUser = observer(() => {
  const store = useStore();
  return (
    <Modal
      visible={store.membership.visibleModalFilterMembership}
      title={"Filter"}
      //footer={footerLayoutFilter}
    >
      <Row>
        <Col span={24}>
          <Title level={5} type={"secondary"} strong>
            Filter Supplier
          </Title>
          <Select
            mode={"multiple"}
            placeholder="Choose Supplier"
            style={{ marginBottom: "20px", width: "100%" }}
          >
            {store.supplier.data.map((item) => (
              <Option value={item.id} key={item.id}>
                {item.name}
              </Option>
            ))}
          </Select>
        </Col>
        <Col span={24}>
          <Title level={5} type={"secondary"} strong>
            Filter Categories
          </Title>
          <Select
            mode={"multiple"}
            placeholder="Choose Category"
            style={{ marginBottom: "20px", width: "100%" }}
            value={store.product.filterCategory || []}
          >
            {store.category.data.map((item) => (
              <Option value={item.id} key={item.id}>
                {item.name}
              </Option>
            ))}
          </Select>
        </Col>
        <Col span={24}>
          <Title level={5} type={"secondary"} strong>
            Filter Sub-Categories
          </Title>
          <Select
            mode={"multiple"}
            placeholder="Choose Sub-Category"
            style={{ marginBottom: "20px", width: "100%" }}
          >
            {store.product.dataSubCategories.map((item) => (
              <Option value={item.id} key={item.id}>
                {item.name}
              </Option>
            ))}
          </Select>
        </Col>
      </Row>
    </Modal>
  );
});
